Page MenuHomePhabricator

Increase storage available to labs NFS server
Closed, ResolvedPublic

Description

Originally aimed for 50% expansion, revised to 25% to over over a year of planned use increase (increase the number of disk shelves from four to five).

This is mostly hardware expansion (new disk shelves, populated).

Event Timeline

coren created this task.Dec 31 2014, 2:44 PM
coren raised the priority of this task from to Needs Triage.
coren updated the task description. (Show Details)
coren added a project: Cloud-Services.
coren added subscribers: Aklapper, coren.
coren added a comment.Dec 31 2014, 3:01 PM

Hardware ordered.

Actual capacity expansion is simply adding the new disks to the LVM volume group.

coren updated the task description. (Show Details)Dec 31 2014, 3:37 PM
coren set Security to None.
mark added a subscriber: mark.Jan 5 2015, 4:11 PM

What's the status of this order? Perhaps link to the RT ticket?

coren added a comment.Jan 5 2015, 4:26 PM

This is tracked by RT 8830 although a better description of the status is "ordering process in progress" it seems; I see no activity after the receipt of the updated quotation from Dell.

coren added a comment.Feb 4 2015, 10:15 PM

This appears to have been delivered according to RT. Putting what seems to be the physical move as blocker.

coren triaged this task as Normal priority.Feb 10 2015, 9:22 PM
coren moved this task from Triage to Stalled on the Cloud-Services board.Feb 10 2015, 9:25 PM
coren added a comment.Feb 26 2015, 2:32 PM

There are issues with the Precise version of LVS on labstore1001 that (obviously) were not picked up by test on labstore2001 - which is at Trusty. Investigation points to problems in the lvm2 package around thin snapshots of very large volumes that have since been fixed.

Backporting of lvm2 is necessary; doing so now.

coren closed this task as Resolved.Mar 9 2015, 1:12 PM
coren claimed this task.

The new storage is now online and usable (91T total)